package oop.Enumeration;

import java.util.EnumMap;

enum Farbe {
	ROT(255, 0, 0), GRÜN(0, 255, 0), BLAU(0, 0, 255);

	private final int r;
	private final int g;
	private final int b;
	private Farbe(int r, int g, int b) {
		this.r = r;
		this.g = g;
		this.b = b;
	}
	
	public int getR() {
		
		return r;
	}
	
	public int getG() {
		return g;
	}
	
	public int getB() {
		return b;
	}

}

public class Enummap {

	public static void main(String[] args) {
		// EnumMap initialisieren
		EnumMap<Farbe, String> test = new EnumMap<>(Farbe.class);
		
		test.put(Farbe.GRÜN, "Hose");
		test.put(Farbe.BLAU, "Mütze");
		test.put(Farbe.ROT, "sommerHose");
		test.put(Farbe.ROT, "WinterHose");
		test.put(Farbe.BLAU, "sommerHose");
		
		test.forEach((a,b) -> System.out.println(a + " " + b));
		
		Farbe getFarbe = Farbe.valueOf(args[0].toUpperCase());
		System.out.println("Gewählte Farbe: " + getFarbe.name());

	}
}
